Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGPathSegList.SVGPathSegArcItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGItem
          org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
              org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegArcItem

All Implemented Interfaces:
  SVGItem, org.w3c.dom.svg.SVGPathSeg, org.w3c.dom.svg.SVGPathSegArcAbs, org.w3c.dom.svg.SVGPathSegArcRel, org.w3c.dom.svg.SVGPathSegClosePath

Enclosing class:
  AbstractSVGPathSegList

    public class AbstractSVGPathSegList.SVGPathSegArcItem

extends AbstractSVGPathSegList.SVGPathSegItem
implements org.w3c.dom.svg.SVGPathSegArcAbs, org.w3c.dom.svg.SVGPathSegArcRel

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`angle, largeArcFlag, letter, r1, r2, sweepFlag, type, x, x1, x2, y, y1, y2`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`itemStringValue, parent`

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg
`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Constructor Summary
`AbstractSVGPathSegList.SVGPathSegArcItem(short type, String letter, float r1, float r2, float angle, boolean largeArcFlag, boolean sweepFlag, float x, float y)`
`AbstractSVGPathSegList.SVGPathSegArcItem(org.w3c.dom.svg.SVGPathSeg pathSeg)`

Method Summary
`float` | `getAngle()`
`boolean` | `getLargeArcFlag()`
`float` | `getR1()`
`float` | `getR2()`
`protected String` | `getStringValue()` Return the string representation of the item.
`boolean` | `getSweepFlag()`
`float` | `getX()`
`float` | `getY()`
`void` | `setAngle(float angle)`
`void` | `setLargeArcFlag(boolean largeArcFlag)`
`void` | `setR1(float r1)`
`void` | `setR2(float r2)`
`void` | `setSweepFlag(boolean sweepFlag)`
`void` | `setX(float x)`
`void` | `setY(float y)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`getPathSegType, getPathSegTypeAsLetter`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`getParent, getValueAsString, resetAttribute, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSeg
`getPathSegType, getPathSegTypeAsLetter`

Constructor Detail

### AbstractSVGPathSegList.SVGPathSegArcItem

    public AbstractSVGPathSegList.SVGPathSegArcItem(short type,
                                                    String letter,
                                                    float r1,
                                                    float r2,
                                                    float angle,
                                                    boolean largeArcFlag,
                                                    boolean sweepFlag,
                                                    float x,
                                                    float y)

### AbstractSVGPathSegList.SVGPathSegArcItem

    public AbstractSVGPathSegList.SVGPathSegArcItem(org.w3c.dom.svg.SVGPathSeg pathSeg)

Method Detail

### getX

    public float getX()

  Specified by:
    `getX` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `getX` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### getY

    public float getY()

  Specified by:
    `getY` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `getY` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### setX

    public void setX(float x)

  Specified by:
    `setX` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `setX` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### setY

    public void setY(float y)

  Specified by:
    `setY` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `setY` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### getR1

    public float getR1()

  Specified by:
    `getR1` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `getR1` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### getR2

    public float getR2()

  Specified by:
    `getR2` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `getR2` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### setR1

    public void setR1(float r1)

  Specified by:
    `setR1` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `setR1` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### setR2

    public void setR2(float r2)

  Specified by:
    `setR2` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `setR2` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### getAngle

    public float getAngle()

  Specified by:
    `getAngle` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `getAngle` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### setAngle

    public void setAngle(float angle)

  Specified by:
    `setAngle` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `setAngle` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### getSweepFlag

    public boolean getSweepFlag()

  Specified by:
    `getSweepFlag` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `getSweepFlag` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### setSweepFlag

    public void setSweepFlag(boolean sweepFlag)

  Specified by:
    `setSweepFlag` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `setSweepFlag` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### getLargeArcFlag

    public boolean getLargeArcFlag()

  Specified by:
    `getLargeArcFlag` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `getLargeArcFlag` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### setLargeArcFlag

    public void setLargeArcFlag(boolean largeArcFlag)

  Specified by:
    `setLargeArcFlag` in interface `org.w3c.dom.svg.SVGPathSegArcAbs`
  Specified by:
    `setLargeArcFlag` in interface `org.w3c.dom.svg.SVGPathSegArcRel`

### getStringValue

    protected String getStringValue()

  Description copied from class: `AbstractSVGItem`
  Return the string representation of the item.

  Overrides:
    `getStringValue` in class `AbstractSVGPathSegList.SVGPathSegItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.